Bug 173964 - Patch to ext/oci8/config.m4 doesn't exist in the source rpm
Patch to ext/oci8/config.m4 doesn't exist in the source rpm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: Regression
Depends On:
Blocks: 198694
  Show dependency treegraph
 
Reported: 2005-11-23 00:41 EST by Gary Shi
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.3.9-3.22.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-22 10:29:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 149873 None None None Never

  None (edit)
Description Gary Shi 2005-11-23 00:41:35 EST
Description of problem:
The source RPM doesn't contain the patch to ext/oci8/config.m4, makes the
building process unable to detect Oracle Instant Client.

Version-Release number of selected component (if applicable):
4.3.9-3.8 and 4.3.9-3.9

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild -bb --with oci8 php.spec
  
Actual results:
"configure" not able to detect oracle instant client installation.

Expected results:
"configure" detects oracle instant client installation and guides a successful
build of oci8 module rpm.

Additional info:
The patch is merged to PHP in RHEL3 by
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=149873, the spec file is
patched with Oracle Instant Client support ("oracle-instantclient-devel >= 10"
in package oci8 BuildRequires and
"%{?_with_oci8:--with-oci8-instant-client=shared}" in configure) but the patch
for ext/oci8/config.m4 not exist.

After applied the patch (from oracle website), rpmbuild successfully built
php-oci8 rpm.
Comment 5 RHEL Product and Program Management 2006-08-18 12:56:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Bryan Mason 2007-01-09 20:18:22 EST
Isn't this a duplicate of BZ 162241?
Comment 13 Joe Orton 2007-01-11 09:30:11 EST
No, this issue is lib64-specific AFAICT.  I can't reproduce any of these bugs
since they depend on Oracle.
Comment 16 Joe Orton 2007-02-22 10:29:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0076.html

Note You need to log in before you can comment on or make changes to this bug.